UserManagementService

Control user access.

Operations

verifyUser

post

This operation Verifies a user with the system.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
chevron-right
200

Successful operation.

application/json
post
/verifyUser
200

Successful operation.

resetUserPassword

post

This operation Resets a user's password.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerRequired

The Symitar user number.

Example: 1995
Responses
chevron-right
200

Successful operation.

application/json
PasswordstringOptional

The Symitar user password.

Example: P@ssw0rd123
post
/resetUserPassword
200

Successful operation.

setUserPassword

post

This operation Sets the user's password.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
UserNumberintegerOptional

The Symitar user number.

Example: 1995
PasswordstringOptional

The Symitar user password.

Example: P@ssw0rd123
Responses
chevron-right
200

Successful operation.

application/json
post
/setUserPassword
200

Successful operation.

logon

post

This operation Logs on a user to the system.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
chevron-right
200

Successful operation.

application/json
StatusMessagestringOptional

Additional message detailing the status.

Example: ["object Object"]
TokenIdstringOptional

The ID from using the logon operation in the UserManagementService.

Example: iEG+nkqW+Qi3RfTt0STT3QYgxoM4p3ZCqPXI7Ibkg1d5ExB98ottVJJTByff6Kz0WETI1aR03AJZkev5O3J0Cg==
post
/logon
200

Successful operation.

logoff

post

This operation Logs off a user from the system.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
chevron-right
200

Successful operation.

application/json
StatusMessagestringOptional

Additional message detailing the status.

Example: ["object Object"]
post
/logoff
200

Successful operation.

Last updated

Was this helpful?